Bug 1585549 - [zh_CN] Chinese candidates still show on screen when switch Chinese and Einglish via clicking Shift in some applications.
Summary: [zh_CN] Chinese candidates still show on screen when switch Chinese and Eingl...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin
Version: 28
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-04 03:57 UTC by Lijun Li
Modified: 2019-04-09 14:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-09 14:25:05 UTC


Attachments (Terms of Use)
[zh_CN]Chinese candidates still show on screen when switch Chinese and Einglish via clicking Shift in some applications. (7.03 KB, image/png)
2018-06-04 03:58 UTC, Lijun Li
no flags Details

Description Lijun Li 2018-06-04 03:57:39 UTC
Description of problem:
[zh_CN]Chinese candidates still show on screen when switch Chinese and Einglish via clicking Shift in some applications.

Version-Release number of selected component (if applicable):
Fedora28

How reproducible:
100%

Steps to Reproduce:
1. Open/type on terminal/gedit/evolution/Type to search...
2. Type with Chinese(Intelligent Pinyin) input method.
3. Type with Chinese and click Shift from keyboard to switch to English. 

Actual results:
[zh_CN]Chinese candidates still show on screen when switch Chinese and Einglish via clicking Shift in some applications.
But when move focus to other applications/place, the Chinese candidate is disappered.

Expected results:
The candidate should not be showed up when switch Chinese/English via clicking Shift.

Additional info:
Please see the attached screen-shot.

Comment 1 Lijun Li 2018-06-04 03:58:40 UTC
Created attachment 1447279 [details]
[zh_CN]Chinese candidates still show on screen when switch Chinese and Einglish via clicking Shift in some applications.

Comment 2 Lijun Li 2018-06-04 03:59:46 UTC
By the way, it's not produced on Firefox.

Comment 3 Peng Wu 2018-06-04 06:27:30 UTC
This maybe a bug in gtk3, mutter and gnome-shell.

gnome-shell with wayland seems doesn't support 'show-preedit-text' and 'hide-preedit-text' signals.

Potential fixes:
https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/113

Comment 4 Bhushan Barve 2019-03-28 08:44:11 UTC
Checked with F30 build on both wayland and x11 desktop.
Now the candidate is not shown when switched from Chinese to english by clicking shift.
Marking it as verified. Please re-open if required.


Note You need to log in before you can comment on or make changes to this bug.